package com.brilliance.isc.funds.vo.funds;

import com.brilliance.isc.bo.model.Fxdgrp;
import com.brilliance.isc.bo.model.Fxtp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @program: isc-funds
 * @ClassName: FxtlopStoreVo
 * @description: 结售汇平盘登记
 * @author: wangweidong
 * @create: 2024-10-08 16:26
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FxtlopStoreVo extends BaseTransactionVo {

    private Fxdgrp fxdgrp;

    //private Fxtmod fxtmod;

    private Fxtp fxtp;

    @Override
    public void reset() {
        super.reset();
        if (fxdgrp == null) {
            fxdgrp = new Fxdgrp();
        }
        fxdgrp.reset();

        if (fxtp == null) {
            fxtp = new Fxtp();
        }
        fxtp.reset();
    }
}
