package com.brilliance.isc.funds.fttpcm.resource;

import com.brilliance.isc.common.context.SettleContext;
import com.brilliance.isc.common.transaction.controller.AbstractTransactionController;
import com.brilliance.isc.funds.fttpcm.service.FttpcmTransactionServiceImpl;
import com.brilliance.isc.funds.transfer.transaction.FttpcmStructMapper;
import com.brilliance.isc.funds.vo.funds.FttpcmStoreVo;
import com.brilliance.isc.vo.ResponseSet;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


@RestController
@RequestMapping("/fttpcm")
@Api("头寸调拨登记")
public class FttpcmResource extends AbstractTransactionController<FttpcmStoreVo> {
    @Resource
    private FttpcmStructMapper fttpcmStructMapper;

    @Resource(name = "fttpcm.transaction")
    FttpcmTransactionServiceImpl transactionService;

    @Autowired
    private SettleContext settleContext;
    @PostMapping("/getRef")
    public ResponseSet<String> getRef(@RequestBody FttpcmStoreVo fttpcmStoreVo) {
        return ResponseSet.simpleSuccess(transactionService.getRef(fttpcmStoreVo));
    }

}
